/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.gruppeimgebiet.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QGruppeImGebiet extends EntityPathBase<GruppeImGebiet> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// CustomDataStorage
	// Gebiet
, "gebiet.anschrift"
, "gebiet.ansprechpartner"
, "gebiet.bearbeitenRolle"
, "gebiet.customDataStorage"
, "gebiet.einsehenRolle"
, "gebiet.gebietsart"
, "gebiet.uebergeordnetesGebiet"
, "gebiet.verantwortlicherMandant"
, "gebiet.wahltermin"
, "gebiet.wahl"
	// Gruppe
, "gruppe.customDataStorage"
, "gruppe.logo"
, "gruppe.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QGruppeImGebiet gruppeImGebiet = new QGruppeImGebiet("gruppeImGebiet");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final NumberPath<java.lang.Long> eingereichtePosition = createNumber("eingereichtePosition", java.lang.Long.class);

  public final StringPath kurzname = createString("kurzname");

  public final StringPath name = createString("name");

  public final NumberPath<java.lang.Long> relativePosition = createNumber("relativePosition", java.lang.Long.class);

  public final NumberPath<java.lang.Long> vorgegebenePosition = createNumber("vorgegebenePosition", java.lang.Long.class);

  public final StringPath zusatzbezeichnung = createString("zusatzbezeichnung");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.customdata.entity.QCustomDataStorage customDataStorage;

  public final de.ivu.elect.business.gebietsbaum.entity.QGebiet gebiet;

  // Beziehungen N:1 bidirektional

  public final de.ivu.elect.business.gruppe.entity.QGruppe gruppe;


  // Beziehungen 1:N bidirektional

  public final SetPath<de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag, de.ivu.elect.business.wahlvorschlag.entity.QWahlvorschlag> wahlvorschlagsByGruppeImGebiet = this.<de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag, de.ivu.elect.business.wahlvorschlag.entity.QWahlvorschlag>createSet("wahlvorschlagsByGruppeImGebiet", de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag.class, de.ivu.elect.business.wahlvorschlag.entity.QWahlvorschlag.class, PathInits.DIRECT);

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QGruppeImGebiet(Class<? extends GruppeImGebiet> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.customDataStorage = inits.isInitialized("customDataStorage") ? new de.ivu.elect.business.customdata.entity.QCustomDataStorage(forProperty("customDataStorage"), inits.get("customDataStorage")) : null;// de.ivu.elect.business.customdata.entity.QCustomDataStorage.customDataStorage;
    this.gebiet = inits.isInitialized("gebiet") ? new de.ivu.elect.business.gebietsbaum.entity.QGebiet(forProperty("gebiet"), inits.get("gebiet")) : null;// de.ivu.elect.business.gebietsbaum.entity.QGebiet.gebiet;
    this.gruppe = inits.isInitialized("gruppe") ? new de.ivu.elect.business.gruppe.entity.QGruppe(forProperty("gruppe"), inits.get("gruppe")) : null;// de.ivu.elect.business.gruppe.entity.QGruppe.gruppe;
  }

  public QGruppeImGebiet(String variable) {
    this(GruppeImGebiet.class, forVariable(variable), INITS);
  }

  public QGruppeImGebiet(Path<? extends GruppeImGebiet> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QGruppeImGebiet(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QGruppeImGebiet(PathMetadata metadata, PathInits inits) {
    this(GruppeImGebiet.class, metadata, inits);
  }
}
